/*
 * File: FunWithText.java
 * ================================================================
 * A program where we have fun with text!
 */
import acm.program.*;

public class FunWithText extends ConsoleProgram {
	/* Time to delay between characters. */
	private static final double PAUSE_TIME = 75;
	
	/**
	 * Prints out a line of text one character at a time.
	 * 
	 * @param text The text to print.
	 */
	private void ourPrintln(String text) {
		/* Iterate across the characters one at a time, printing each. */
		for (int i = 0; i < text.length(); i++) {
			char ch = text.charAt(i);
			print(ch);
			pause(PAUSE_TIME);
		}
		println();
	}
	
	public void run() {
		/* Make a Mad-Lib! */
		String noun = readLine("Enter a noun: ");
		String gerund = readLine("Enter a gerund: ");
		String sentence = "The " + noun + " is " + gerund + ".";
		ourPrintln(sentence);
	}
}